<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Mahasiswa </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Student Data</h3>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
                        <div class="nav-wrapper">
                            <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-1-tab" data-toggle="tab" href="#tabs-icons-text-1" role="tab" aria-controls="tabs-icons-text-1" aria-selected="true"><i class="fas fa-user-astronaut mr-2"></i>Personal Data</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-2-tab" data-toggle="tab" href="#tabs-icons-text-2" role="tab" aria-controls="tabs-icons-text-2" aria-selected="false"><i class="fas fa-school mr-2"></i>Academic</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-3-tab" data-toggle="tab" href="#tabs-icons-text-3" role="tab" aria-controls="tabs-icons-text-3" aria-selected="false"><i class="fas fa-user mr-2"></i>Parent</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-4-tab" data-toggle="tab" href="#tabs-icons-text-4" role="tab" aria-controls="tabs-icons-text-4" aria-selected="false"><i class="fas fa-user mr-2"></i>Beasiswa</a>
                                </li>
                            </ul>
                        </div>
                        <form th:action="@{/mahasiswa/form (mahasiswa = ${mhsw.id})}" method="post" th:object="${mahasiswa}">
                            <div class="card shadow">
                                <div class="card-body">
                                    <div class="tab-content" id="myTabContent">
                                        <div class="tab-pane fade show active" id="tabs-icons-text-1" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Name</label>
                                                        <input th:field="*{nama}" required name="nama" type="text" class="form-control">
                                                        <input type="hidden" name="statusAktif" th:value="${mhsw.statusAktif}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Student Identification Number (NIM)</label>
                                                        <input type="text" required th:field="*{nim}" name="nim" class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Religion</label>
                                                        <select name="religion" style="width: 100%!important;"
                                                                th:field="*{religion}" required
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${agama}"
                                                                    th:value="${data.idAgama}"
                                                                    th:text="${data.agama}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Place of birth</label>
                                                        <input required type="text" name="tempat"
                                                               class="form-control" th:field="*{tempat}"
                                                               placeholder="Place of birth">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label>Date of birth</label>
                                                        <input required type="date" th:field="*{tanggalLahir}"
                                                               name="tanggalLahir"class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Matriculation Status</label>
                                                        <br>
                                                        <input type="radio" th:field="*{statusMatrikulasi}"
                                                               value="Y"class="flat"
                                                               name="statusMatrikulasi"> Yes
                                                        &nbsp;&nbsp;&nbsp;
                                                        <input th:field="*{statusMatrikulasi}"
                                                               type="radio" value="N"class="flat"
                                                               name="statusMatrikulasi"> No
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Gender</label>
                                                        <br>
                                                        <input type="radio" class="flat"
                                                               th:field="*{jenisKelamin}"
                                                               name="jenisKelamin"value="PRIA"> Male
                                                        &nbsp;&nbsp;&nbsp;
                                                        <input type="radio" class="flat"
                                                               th:field="*{jenisKelamin}"
                                                               name="jenisKelamin"value="WANITA"> Female
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>ID Number</label>
                                                        <input type="text" name="nik"  class="form-control"
                                                               placeholder="NIK" required th:field="*{nik}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>NISN</label>
                                                        <input type="text" name="nisn"
                                                               class="form-control" th:field="*{nisn}"
                                                               placeholder="NISN" required>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label>Address</label>
                                                        <input type="text"
                                                               name="namaJalan" th:field="*{namaJalan}"
                                                               class="form-control"
                                                               placeholder="Street Name">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Country</label>
                                                        <input type="text" th:field="*{idNegara}"
                                                               name="idNegara" class="form-control"
                                                               placeholder="Country">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Country of origin</label>
                                                        <select th:field="*{kewarganegaraan}" name="kewarganegaraan" id="" class="form-control">
                                                            <option value="WNI">WNI</option>
                                                            <option value="WNA">WNA</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Desa/Kelurahan</label>
                                                        <input type="text"name="idKelurahan" class="form-control"
                                                               placeholder="RT" th:field="*{idKelurahan}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Kecamatan</label>
                                                        <input type="text"name="idKecamatan" class="form-control"
                                                               placeholder="RT" th:field="*{idKecamatan}">
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label>Kota/Kabupaten</label>
                                                        <input type="text"name="rt" class="form-control"
                                                               placeholder="RT" th:field="*{idKotaKabupaten}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>RT</label>
                                                        <input type="text"name="rt" class="form-control"
                                                               placeholder="RT" th:field="*{rt}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>RW</label>
                                                        <input type="text"name="rw" class="form-control"
                                                               placeholder="RW" th:field="*{rw}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Hamlet Name</label>
                                                        <input type="text"
                                                               name="namaDusun" class="form-control"
                                                               placeholder="Hamlet Name" th:field="*{namaDusun}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Postal code</label>
                                                        <input type="text"
                                                               name="kodepos" required readonly class="form-control"
                                                               placeholder="Postal code" th:field="*{kodepos}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Live Type</label>
                                                        <select name="jenisTinggal" th:field="*{jenisTinggal}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${tinggal}"
                                                                    th:text="${data.jenisTinggal}"
                                                                    th:value="${data.id}"></option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Transportation</label>
                                                        <select name="alatTransportasi"
                                                                th:field="*{alatTransportasi}"
                                                                class="form-control js-select2">
                                                            <option value="motor">Motor</option>
                                                            <option value="mobil">Mobil</option>
                                                            <option value="bus">Bus</option>
                                                            <option value="kereta">Kereta</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Telephone</label>
                                                        <input type="text" name="teleponRumah" class="form-control"
                                                               placeholder="Telephone" th:field="*{teleponRumah}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Cellphone</label>
                                                        <input type="text" th:field="*{teleponSeluler}"
                                                               name="teleponSeluler" class="form-control"
                                                               placeholder="Cellphone">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Personal Email</label>
                                                        <input type="text" th:field="*{emailPribadi}"
                                                               name="emailPribadi" class="form-control"
                                                               placeholder="Personal Email">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Email Tazkia</label>
                                                        <input type="text" th:field="*{emailTazkia}"
                                                               name="emailTazkia" class="form-control"
                                                               placeholder="Email Tazkia">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="tabs-icons-text-2" role="tabpanel" aria-labelledby="tabs-icons-text-2-tab">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Generation</label>
                                                        <input readonly type="text" name="angkatan"
                                                               class="form-control" th:field="*{angkatan}"
                                                               placeholder="Generation">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Program</label>
                                                        <input readonly type="text" class="form-control" th:value="${mhsw.idProgram.namaProgram}"
                                                               placeholder="Program">
                                                        <input readonly type="hidden" name="idProgram" th:field="*{idProgram}">

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Study Programs</label>
                                                        <input readonly type="text" class="form-control" th:value="${mhsw.idProdi.namaProdi}" placeholder="Generation" >
                                                        <input readonly type="hidden" name="idProdi"
                                                               class="form-control" th:field="*{idProdi}" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Concentration</label>
                                                        <select name="idKonsentrasi" th:field="*{idKonsentrasi}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${konsentrasi}"
                                                                    th:text="${data.namaKonsentrasi}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="tabs-icons-text-3" role="tabpanel" aria-labelledby="tabs-icons-text-3-tab">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Father's Name</label>
                                                        <input type="text" th:field="*{namaAyah}" name="namaAyah" class="form-control"
                                                               placeholder="Father's Name">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Education Level</label>
                                                        <select name="idJenjangPendidikan   " th:field="*{idJenjangPendidikan}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${pendidikan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Place of birth</label>
                                                        <input type="text" name="tempatLahirAyah"
                                                               class="form-control" th:field="*{tempatLahirAyah}"
                                                               placeholder="Place of birth">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Date of birth</label>
                                                        <input type="date" name="tanggalLahirAyah"
                                                               class="form-control" th:field="*{tanggalLahirAyah}">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Job</label>
                                                        <select name="idPekerjaan" th:field="*{idPekerjaan}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${pekerjaan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Revenue</label>
                                                        <select name="penghasilan" th:field="*{penghasilan}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${penghasilan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Religion</label>
                                                        <select name="agama" th:field="*{agama}"
                                                                class="form-control js-select2" required>
                                                            <option value=""></option>
                                                            <option th:each="data : ${agama}"
                                                                    th:value="${data.idAgama}"
                                                                    th:text="${data.agama}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Live Type</label>
                                                        <br>
                                                        <input type="radio" th:field="*{hidup}"
                                                               value="H"class="flat"
                                                               name="hidup"> Hidup
                                                        &nbsp;&nbsp;&nbsp;
                                                        <input th:field="*{hidup}"
                                                               type="radio" value="M"class="flat"
                                                               name="hidup"> Meninggal
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Special Needs</label>
                                                        <input type="text" name="kebutuhanKhusus"
                                                               class="form-control" th:field="*{kebutuhanKhusus}"
                                                               placeholder="Special Needs">
                                                    </div>
                                                    <input type="hidden" name="id" th:field="*{id}">
                                                    <input type="hidden" name="idUser" th:field="*{idUser}">
                                                    <input type="hidden" name="ayah" th:field="*{ayah}">
                                                    <input type="hidden" name="ibu" th:field="*{ibu}">
                                                    <input type="hidden" name="wali" th:field="*{wali}">
                                                    <input type="hidden" name="rfid" th:field="*{rfid}">

                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Mother's Name</label>
                                                        <input type="text" name="namaIbuKandung" class="form-control"
                                                               placeholder="Mother's Name"
                                                               th:field="*{namaIbuKandung}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Education Level</label>
                                                        <select name="idJenjangPendidikanIbu" th:field="*{idJenjangPendidikanIbu}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${pendidikan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Place of birth</label>
                                                        <input type="text" class="form-control"
                                                               th:field="*{tempatLahirIbu}"
                                                               placeholder="Place of birth" name="tempatLahirIbu">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Date of birth</label>
                                                        <input type="date" name="tanggalLahirIbu"
                                                               th:field="*{tanggalLahirIbu}" class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Job</label>
                                                        <select name="idPekerjaanIbu" th:field="*{idPekerjaanIbu}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${pekerjaan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Revenue</label>
                                                        <select name="penghasilanIbu" th:field="*{penghasilanIbu}"
                                                                class="form-control js-select2">
                                                            <option value=""></option>
                                                            <option th:each="data : ${penghasilan}"
                                                                    th:text="${data.nama}"
                                                                    th:value="${data.id}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Religion</label>
                                                        <select name="agamaIbu" required style="width: 100%!important;"
                                                                class="form-control js-select2"
                                                                th:field="*{agamaIbu}">
                                                            <option value=""></option>
                                                            <option th:each="data : ${agama}"
                                                                    th:value="${data.idAgama}"
                                                                    th:text="${data.agama}">
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Live Type</label>
                                                        <br>
                                                        <input type="radio" th:field="*{statusHidupIbu}"
                                                               value="H"class="flat"
                                                               name="statusHidupIbu"> Hidup
                                                        &nbsp;&nbsp;&nbsp;
                                                        <input th:field="*{statusHidupIbu}"
                                                               type="radio" value="M"class="flat"
                                                               name="statusHidupIbu"> Meninggal
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Special Needs</label>
                                                        <input type="text" name="kebutuhanKhususIbu"
                                                               class="form-control" th:field="*{kebutuhanKhususIbu}"
                                                               placeholder="Special Needs">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="tabs-icons-text-4" role="tabpanel" aria-labelledby="tabs-icons-text-4-tab">
                                            <div class="card shadow">
                                                <div class="card-header border-0">
                                                    <div class="row align-items-center">
                                                        <div class="col">
                                                            <h3 class="mb-0">Data List</h3>
                                                        </div>
<!--                                                        <div class="col text-right">-->
<!--                                                            <button type="button" class="btn btn-warning btn-sm" data-toggle="modal" data-target="#exampleModal">-->
<!--                                                                <i class="fa fa-plus-circle"></i> Tambah Beasiswa-->
<!--                                                            </button>-->
<!--                                                        </div>-->
                                                    </div>
                                                </div>
                                                <div class="table-responsive">
                                                    <table class="table align-items-center table-flush">
                                                        <thead class="thead-light">
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Nama Beasiswa</th>
                                                            <th>Tanggal Mulai Berlaku</th>
                                                            <th>Status</th>
                                                            <th></th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="data, row: ${beasiswa}">
                                                            <td th:text="${(row.index + 1)}"></td>
                                                            <td th:text="${data.beasiswa.namaBeasiswa}"></td>
                                                            <td th:text="${data.tanggalMulaiBerlaku}"></td>
                                                            <td><span class="btn btn-success btn-sm" th:text="${data.status}"></span></td>
                                                            <td>
<!--                                                                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#editModal' + data.id}">-->
<!--                                                                    <i class="fa fa-edit"></i>-->
<!--                                                                </button>-->

                                                                <div class="modal fade" th:id="${'editModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
                                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="editModalLabel">Modal title</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <form th:action="@{/mahasiswa/beasiswa}" method="post">
<!--                                                                                    <input type="hidden" name="mahasiswa" th:value="${mahasiswa.id}">-->
                                                                                    <div class="form-group">
                                                                                        <lable>Pilih Beasiswa</lable>
                                                                                        <select name="beasiswa" class="form-control" >
                                                                                            <option value="" selected disabled>-- Pilih Beasiswa --</option>
                                                                                            <option th:each="data, row:${listbeasiswa}"
                                                                                                    th:value="${data.id}"
                                                                                                    th:text="${data.namaBeasiswa}"></option>
                                                                                        </select>
                                                                                    </div>
                                                                                    <div class="form-group">
                                                                                        <p>Tanggal Mulai Berlaku</p>
                                                                                        <input type="date" name="tanggalMulaiBerlaku" class="form-control">
                                                                                    </div>
                                                                                    <div class="form-group">
                                                                                        <button class="btn btn-primary">Save</button>
                                                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-notification' + data.id}">
                                                                    <i class="fas fa-trash"></i>
                                                                </button>

                                                                <div class="modal fade" th:id="${'modal-notification' + data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                                    <div class="modal-dialog modal-danger modal-dialog-centered modal-" role="document">
                                                                        <div class="modal-content bg-gradient-danger">

                                                                            <div class="modal-header">
                                                                                <h6 class="modal-title" id="modal-title-notification">Your attention is required</h6>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>

                                                                            <div class="modal-body">

                                                                                <div class="py-3 text-center">
                                                                                    <i class="far fa-trash-alt fa-3x"></i>
                                                                                    <h4 class="heading mt-4">Are you sure ?</h4>
                                                                                    <p>Once deleted, you will not be able to recover this imaginary file!</p>
                                                                                </div>

                                                                            </div>

                                                                            <div class="modal-footer">
                                                                                <form method="post" th:action="@{/mahasiswa/beasiswadelete(mahasiswaBeasiswa = ${data.id})}">
                                                                                    <button type="submit" class="btn btn-white">Delete</button>
                                                                                </form>
                                                                                <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Close</button>
                                                                            </div>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button class="btn btn-primary">Save</button>
                                    <a th:href="@{/mahasiswa/list}" class="btn btn-danger">Cancel</a>
                                </div>
                            </div>
                        </form>


                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Tambah Beasiswa</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form th:action="@{/mahasiswa/beasiswa}" method="post">
                            <input type="hidden" name="mahasiswa" th:value="${mahasiswa.id}">
                            <div class="form-group">
                                <lable>Pilih Beasiswa</lable>
                                <select name="beasiswa" required class="form-control">
                                    <option value="" selected disabled>-- Pilih Beasiswa --</option>
                                    <option th:each="data, row:${listbeasiswa}"
                                            th:value="${data.id}"
                                            th:text="${data.namaBeasiswa}"></option>
                                </select>
                            </div>
                            <div class="form-group" required>
                                <p>Tanggal Mulai Berlaku</p>
                                <input type="date" name="tanggalMulaiBerlaku" class="form-control">
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary">Save</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>
</body>
</html>